#' @name  USGDP
#' @title Example of replication files in Giannone et al. 2008
#' @docType data
#' @format  A \code{list} with 2 elements: 
#' 
#' \itemize{
#' \item \code{base} is a \code{mts} with 193 series and 312 observations. There are missing values;
#' \item \code{legend} is a \code{data.frame} with specifications of the series in USGDP$base.
#' }
#' @description Dataset available to replicate the results in \emph{Giannone et al. 2008}. 
#' @usage USGDP
#' @source This dataset is available as \emph{replication files} of the seminal work \emph{Giannone 2008}.
#'  One can find these \emph{replication files} in the following url: \url{https://www.newyorkfed.org/research/economists/giannone/pub}
#' @references Giannone, D., Reichlin, L., & Small, D. (2008). Nowcasting: The real-time informational content of macroeconomic data. Journal of Monetary Economics, 55(4), 665-676.<doi:10.1016/j.jmoneco.2008.05.010>
NULL
